summaryrefslogtreecommitdiff
path: root/include/vendor.sh
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2025-04-17 23:43:22 +0100
committerLeah Rowe <leah@libreboot.org>2025-04-17 23:43:22 +0100
commite07a2adb130e86cf78fc1ee77a4d8b233a65cedf (patch)
tree322fef83ab84abebe14c05b3b4f9be9b7912f0c9 /include/vendor.sh
parent9d3b52cd1d2c91912476ac4622ef33726e349e54 (diff)
lbmk: don't handle TMPDIR directly
lbmk creates TMPDIR as /tmp/xbmk_*, but it's theoretically possible that something could re-export it by mistake. this change retains the same initialisation, but further use is now via a new variable "xbmktmp", that stores the value of TMPDIR upon lbmk's initialisation of it. this reduces the chance of such a bug in the future, as described above, so it is a preemptive/preventative fix. Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'include/vendor.sh')
-rw-r--r--include/vendor.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/include/vendor.sh b/include/vendor.sh
index 239b0e52..a761cfaa 100644
--- a/include/vendor.sh
+++ b/include/vendor.sh
@@ -48,11 +48,11 @@ vendor_download()
readkconfig()
{
- x_ rm -f "$TMPDIR/cbcfg"
+ x_ rm -f "$xbmktmp/cbcfg"
cbcfg="`check_defconfig "$boarddir"`" || for cbc in $cv; do
- grep "$cbc" "$cbcfg" 1>>"$TMPDIR/cbcfg" 2>/dev/null || :
+ grep "$cbc" "$cbcfg" 1>>"$xbmktmp/cbcfg" 2>/dev/null || :
done
- eval "`setcfg "$TMPDIR/cbcfg" 1`"
+ eval "`setcfg "$xbmktmp/cbcfg" 1`"
for c in $cvchk; do
eval "[ \"\${$c}\" = \"/dev/null\" ] && continue"